prcheck(1)

NAME
prcheck

SYNOPSIS
prcheck [flags] [<as-no>]

DESCRIPTION

prcheck syntax-checks the aut-num object for <as-no> registered in the Internet Routing Registry (IRR). It only checks the syntax of policy related attributes such as as-in, and default. If an aut-num passes prcheck's syntax checking, it will not create cause errors to any of the tools in RAToolSet, such as RtConfig. Future versions of this tool will generate better error messages and do more than just syntax checking.

RAToolSet COMMON OPTIONS

    -help
        Print summary of command-line options and abort.

    -T [whois_query | whois_response | input | all]
        Trace the argument. Useful for debugging.

    -D <integer>
        Print debugging messages of debug channel <integer> (if compiled with DEBUG defined).

    -version
        Print the version number and quit.

    -h <host-name>
        Establish an radbserver connection to host <host-name>.

    -p <port-no>
        Establish an radbserver connection to port <port-no>.

    -protocol <protocol>
        Use the <protocol> to connect to the IRR server. <protocol> can be irrd, ripe, and bird. The default is irrd. The ripe option should be used with the old ripe server.

    -s <source-list>
        Consider the sources specified in the comma separated <source-list>. If an object is defined in multiple sources in <source-list>, prcheck uses the definition first encountered in <source-list> from left to right.

    -rusage
        Print resource usage upon completion.

    -ignore_errors
        Do not print error and warning messages due to communication to the database server or parsing policy objects.

    -report_errors
        Print error and warning messages due to communication to the database server or parsing policy objects.

OTHER OPTIONS

    -as <as-no>
        Syntax check the aut-num object for <as-no>.

    -echo_as
        Print the aut-num object before matching.

ENVIRONMENT VARIABLES

    IRR_HOST
        Specifies the radbserver host to connect.

    IRR_PORT
        Specifies the radbserver port number to connect.

    IRR_SOURCES
        Specifies the source list (comma separated) to consider.

Command line options take precedence over environment variables.

EXAMPLES

	% ./prcheck
	Congratulations no errors were found in parsing AS226
	% prcheck AS3130
	Congratulations no errors were found in parsing AS3130
	% prcheck AS86
	Error: *it: AS701 192.41.177.6/32 192.41.177.249 (pref=MED) ANY
	Error:                            ^^^^^^^^^^^^^^

AUTHORS
Cengiz Alaettinoglu <cengiz@isi.edu>